com.elastisys.scale.cloudpool.api.types

## Class CloudPoolMetadata

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.CloudPoolMetadata

    public class CloudPoolMetadata
    extends Object

Describes static properties about the cloud pool itself and the cloud it manages.

### Constructor Summary

Constructors
Constructor and Description
`CloudPoolMetadata(String poolIdentifier, List<String> supportedApiVersions)` Creates a new instance describing the cloud pool and the cloud it manages.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `poolIdentifier()` An identifier for the cloud that this cloud pool manages.
`List<String>` `supportedApiVersions()` A list of supported API versions.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudPoolMetadata

    public CloudPoolMetadata(String poolIdentifier,
                             List<String> supportedApiVersions)

Creates a new instance describing the cloud pool and the cloud it manages.

Parameters:
  `poolIdentifier` - An identifier for the cloud infrastructure managed by this cloud pool. See `CloudProviders` for a list of known identifiers.
  `supportedApiVersions` - List of supported API versions.

### Method Detail

#### poolIdentifier

    public String poolIdentifier()

An identifier for the cloud that this cloud pool manages. See `CloudProviders` for a list of known identifiers.

Returns:

#### supportedApiVersions

    public List<String> supportedApiVersions()

A list of supported API versions.

Returns:

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`